LAST(1)

NAZWA
last, lastb - pokazuje listę ostatnio zalogowanych użytkowników

SKŁADNIA

last [opcje] [nazwa-użytkownika...] [tty...]

lastb [opcje] [nazwa-użytkownika...] [tty...]

OPIS

Program last przeszukuje wstecz plik /var/log/wtmp (lub plik wskazany opcją -f) i wyświetla listę wszystkich zalogowanych (i wylogowanych) od czasu utworzenia pliku użytkowników. Można podać jedną lub więcej nazw-użytkowników i/lub tty (terminali); w tym przypadku last pokaże jedynie wpisy pasujące do tych argumentów. Nazwy tty mogą być skracane, zatem last 0, to to samo, co last tty0.

Po przechwyceniu sygnału SIGINT (generowanego przez klawisz przerwania, zwykle control-C) lub sygnału SIGQUIT, last pokaże jak daleko przeszukał plik; następnie, w przypadku sygnału SIGINT, last później przerwie pracę.

Pseudoużytkownik reboot rejestrowany jest przy każdorazowym przeładowaniu systemu. Zatem last reboot pokaże rejestr (log) wszystkich przeładowań od utworzenia pliku rejestrującego.

lastb jest tym samym, co last, z wyjątkiem tego, że domyślnie pokazuje zapisy z pliku /var/log/btmp, zawierającego zakończone niepowodzeniem próby logowań.

OPCJE

-a, --hostlast
    Wyświetla nazwę stacji w ostatniej kolumnie. Przydatne w połączeniu z opcją --dns.

-d, --dns
    Dla logowań nielokalnych Linux przechowuje nie tylko nazwę zdalnej stacji, ale i jej numer IP. Opcja ta przekłada numer IP z powrotem na nazwę stacji (hostname).

-f, --file plik
    last użyje podanego pliku zamiast /var/log/wtmp. Opcję --file można podać wiele razy i przetworzone będą wszystkie podane pliki.

-F, --fulltimes
    Wypisuje pełne czasy zalogowania i wylogowania łącznie z datą.

-i, --ip
    Jak --dns, lecz wyświetla numer IP zamiast nazwy stacji.

-liczba; -n, --limit liczba
    Liczba mówiąca last, ile wierszy ma pokazać.

-p, --present czas
    Wyświetla użytkowników którzy byli obecni w podanym czasie. Jest to podobne do użycia razem opcji --since i --until z takim samym czasem.

-R, --nohostname
    Nie wyświetla pola z nazwą stacji (hostname).

-s, --since czas
    Wyświetla stan logowań od podanego czasu. Jest to przydatne np. aby łatwo dowiedzieć się kto logował się w danym czasie. Opcja jest często łączona z --until.

-t, --until czas
    Wyświetla stan logowań do podanego czasu.

-T, --tab-separated
    Używa znaku tabulatora ASCII do oddzielenia kolumn w wyjściu, zamiast spacji.

--time-format format
    Określa format wyjściowy znaczników czasu na jeden z: notime, short, full lub iso. Wariant notime nie wypisze żadnych znaczników czasu, short jest domyślny, a full jest tym samym. co opcja --fulltimes. Wariant iso wypisze znaczniki czasu w formacie ISO-8601. Format ISO zawiera informacje o strefie czasowej, co czyni go preferowanym, gdy wynik jest sprawdzany poza pierwotnym komputerem.

-w, --fullnames
    Wyświetla pełne nazwy użytkowników i nazwy domen / adresy IP w wyjściu. Jeśli nie poda się tej opcji, nazwy domen i adresy IP są przycinane do 16 znaków, a nazwy użytkowników są przycinane do 8 znaków. Jako ostatni znak przyciętych pól ustawiana jest gwiazdka.

-x, --system
    Wyświetla zapisy o zamknięciach systemu i zmianach jego poziomów pracy.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

FORMAT CZASU

Opcje przyjmujące argument czas mogą korzystać z następujących formatów:
RRRRMMDDggmmss |
RRRR-MM-DD gg:mm:ss |
RRRR-MM-DD gg:mm | (sekundy będą ustawione na 00)
RRRR-MM-DD | (czas będzie ustawiony na 00:00:00)
gg:mm:ss | (data będzie ustawiona na dziś)
gg:mm | (data będzie ustawiona na dziś, sekundy na 00)
now | (teraz)
yesterday | (wczoraj; czas jest ustawiony na 00:00:00)
today | (dziś; czas jest ustawiony na 00:00:00)
tomorrow | (jutro; czas jest ustawiony na 00:00:00)
+5min |
-5days | (5 dni temu)

PLIKI

/var/log/wtmp, /var/log/btmp

UWAGI

Pliki wtmp i btmp mogą nie zostać odnalezione. System rejestruje informacje w tych plikach tylko wtedy, gdy istnieją. Jest to problem wynikający z lokalnej konfiguracji. Aby pliki były używane, można je łatwo utworzyć poleceniem touch(1) (na przykład, touch /var/log/wtmp).

Pusty wpis jest prawidłowym typem wpisu wtmp. Oznacza to, że pusty plik lub plik z zerami nie jest interpretowany jako błąd.

Format pliku utmp korzysta z łańcuchów o stałej długości co oznacza, że łańcuchów bardzo długich nie da się przechować w tym pliku, nie mogą być zatem wyświetlone przez last. Powszechnymi limitami są: 32 bajtów na nazwę użytkownika i wiersza oraz 256 bajtów na nazwę stacji (hostname).

AUTORZY

ZOBACZ TAKŻE

login(1), wtmp(5), init(8), shutdown(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie last jest częścią pakietu util-linux, który można pobrać ze strony